#!/bin/sh
# start_spi_upgrade.sh
# 
# The purpose of this script is to start the SPI Flash update mechanism
#

PATH_TO_FIRMWARE=/tmp/spi_upgrade/galileo_firmware.bin

# Setup path to new galileo capsule firmware image
echo -n $PATH_TO_FIRMWARE > /sys/firmware/efi/capsule_path

# Begin Capsule Update
echo 1 > /sys/firmware/efi/capsule_update
RETURN_VALUE=$?

if [ "$RETURN_VALUE" == 0 ]
then
    echo "Upgrade trigger successful $RETURN_VALUE, reboot the system"
	exit 0
else
    echo "Upgrade trigger failed $RETURN_VALUE"
	exit 1
fi
